For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • POSTValidate a full product object (FPO)
      • POSTValidate a product template
      • POSTValidate a standalone agent definition
      • POSTValidate a standalone flow definition
      • POSTValidate a standalone surface definition
      • POSTValidate a standalone tool definition
Dashboard
LogoLogo
Runtype APIProduct Validation

Validate a product template

POST
/v1/public/products/validate-template
POST
/v1/public/products/validate-template
$curl -X POST https://api.runtype.com/v1/public/products/validate-template \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "productObject": {
> "_meta": {
> "catalogVersion": "2026-06-01",
> "generatedAt": "2026-06-01T00:00:00.000Z",
> "generatorVersion": "1.0.0",
> "planHash": "abc123",
> "schemaVersion": "1.1"
> },
> "capabilities": [
> {
> "description": "Summarizes input text",
> "flow": {
> "description": "Summarizes the provided input",
> "name": "Summarizer",
> "steps": [
> {
> "config": {
> "model": "gpt-5-mini",
> "systemPrompt": "Summarize the following text.",
> "userPrompt": "{{input}}"
> },
> "name": "Summarize",
> "type": "prompt"
> }
> ]
> },
> "id": "summarize",
> "name": "Summarize"
> }
> ],
> "product": {
> "description": "A product template with variables",
> "name": "Template Product"
> },
> "surfaces": [],
> "tools": [],
> "version": "1.1"
> },
> "template": {
> "variables": [
> {
> "inputType": "textarea",
> "key": "input",
> "label": "Input Text",
> "required": true
> }
> ]
> },
> "version": "1.1"
>}'
1{
2 "errors": [
3 {
4 "code": "string",
5 "message": "string",
6 "path": "string",
7 "severity": "string"
8 }
9 ],
10 "recommendations": [
11 {
12 "code": "string",
13 "message": "string",
14 "path": "string",
15 "severity": "string"
16 }
17 ],
18 "valid": true,
19 "warnings": [
20 {
21 "code": "string",
22 "message": "string",
23 "path": "string",
24 "severity": "string"
25 }
26 ]
27}
Validates a product template against the platform schema.
Was this page helpful?
Previous

Validate a standalone agent definition

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Request

This endpoint expects an object.

Response

Validation result
errorslist of objects
recommendationslist of objects
validboolean
warningslist of objects

Errors

400
Bad Request Error
500
Internal Server Error